package com.njcn.pojo.configuration;

import javax.persistence.Column;
import javax.persistence.Id;
import javax.persistence.Table;
import java.io.Serializable;

/** @Author denghuajun
 * @Description //TODO 定值管理
 * @Date  2018/10/15 21:16
 **/
@Table(name = "PQS_PROTECTVALUE")
public class ConstantValue implements Serializable {
    @Id
    @Column(name = "PV_INDEX")
    private String pvIndex; //定值索引
    @Column(name = "CPU_NO")
    private int  cpuNo;//监测点序号，内部定值默认为1
    @Column(name = "DEVTYPE")
    private String devType;//终端类型GUID（PQS_Dicdata）
    @Column(name = "TYPE")
    private int type;//类型 80-外部定值 十进制类型 81-外部定值的十六进制类型 90-内部定值 十进制类型 91-内部定制 十六进制类
    @Column(name = "DZTYPE")
    private int dzType;//类型 80-外部定值 十进制类型 81-外部定值的十六进制类型 90-内部定值 十进制类型 91-内部定制 十六进制类
    @Column(name = "UNIT")
    private String unit;//单位
    @Column(name = "MAXVALUE")
    private Float maxValue;//最大值
    @Column(name = "MINVALUE")
    private Float minValue;//最小值
    @Column(name = "DEFAULTVALUE")
    private Float defaultValue;//默认值
    @Column(name = "VALUE")
    private Float value;//设定值
    @Column(name = "DESCRIBE")
    private String describe;//描述
    @Column(name = "SORT")
    private int sort;

    public String getPvIndex() {
        return pvIndex;
    }

    public void setPvIndex(String pvIndex) {
        this.pvIndex = pvIndex;
    }

    public int getCpuNo() {
        return cpuNo;
    }

    public void setCpuNo(int cpuNo) {
        this.cpuNo = cpuNo;
    }

    public String getDevType() {
        return devType;
    }

    public void setDevType(String devType) {
        this.devType = devType;
    }

    public int getType() {
        return type;
    }

    public void setType(int type) {
        this.type = type;
    }

    public int getDzType() {
        return dzType;
    }

    public void setDzType(int dzType) {
        this.dzType = dzType;
    }

    public String getUnit() {
        return unit;
    }

    public void setUnit(String unit) {
        this.unit = unit;
    }

    public Float getMaxValue() {
        return maxValue;
    }

    public void setMaxValue(Float maxValue) {
        this.maxValue = maxValue;
    }

    public Float getMinValue() {
        return minValue;
    }

    public void setMinValue(Float minValue) {
        this.minValue = minValue;
    }

    public Float getDefaultValue() {
        return defaultValue;
    }

    public void setDefaultValue(Float defaultValue) {
        this.defaultValue = defaultValue;
    }

    public Float getValue() {
        return value;
    }

    public void setValue(Float value) {
        this.value = value;
    }

    public String getDescribe() {
        return describe;
    }

    public void setDescribe(String describe) {
        this.describe = describe;
    }

    public int getSort() {
        return sort;
    }

    public void setSort(int sort) {
        this.sort = sort;
    }

    @Override
    public String toString() {
        return "ConstantValue{" +
                "pvIndex='" + pvIndex + '\'' +
                ", cpuNo=" + cpuNo +
                ", devType='" + devType + '\'' +
                ", type=" + type +
                ", dzType=" + dzType +
                ", unit='" + unit + '\'' +
                ", maxValue=" + maxValue +
                ", minValue=" + minValue +
                ", defaultValue=" + defaultValue +
                ", value=" + value +
                ", describe='" + describe + '\'' +
                ", sort=" + sort +
                '}';
    }
}
